Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Svcconf_Handler Class Reference

Svcconf_Handler is an example SAX event handler. More...

`#include <Svcconf_Handler.h>`

Inheritance diagram for Svcconf_Handler:

[legend]
Collaboration diagram for Svcconf_Handler:

[legend]
List of all members.

## Public Methods
| Svcconf_Handler (ACEXML_XMLReader *parser, CIAO::XMLHelpers::Cascadable_DocHandler *parent, const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
virtual | ~Svcconf_Handler (void)
virtual void | characters (const ACEXML_Char *ch, int start, int length ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
virtual void | endDocument (ACEXML_ENV_SINGLE_ARG_DECL) throw (ACEXML_SAXException)
virtual void | endElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
virtual void | endPrefixMapping (const ACEXML_Char *prefix ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
virtual void | ignorableWhitespace (const ACEXML_Char *ch, int start, int length ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
virtual void | processingInstruction (const ACEXML_Char *target, const ACEXML_Char *data ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
virtual void | setDocumentLocator (ACEXML_Locator *)
virtual void | skippedEntity (const ACEXML_Char *name ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
virtual void | startDocument (ACEXML_ENV_SINGLE_ARG_DECL) throw (ACEXML_SAXException)
virtual void | startElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
virtual void | startPrefixMapping (const ACEXML_Char *prefix, const ACEXML_Char *uri ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
virtual void | notationDecl (const ACEXML_Char *name, const ACEXML_Char *publicId, const ACEXML_Char *systemId ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
virtual void | unparsedEntityDecl (const ACEXML_Char *name, const ACEXML_Char *publicId, const ACEXML_Char *systemId, const ACEXML_Char *notationName ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
virtual ACEXML_InputSource * | resolveEntity (const ACEXML_Char *publicId, const ACEXML_Char *systemId ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
virtual void | error (ACEXML_SAXParseException &exception ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
virtual void | fatalError (ACEXML_SAXParseException &exception ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
virtual void | warning (ACEXML_SAXParseException &exception ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
## Protected Methods
int | get_stream_id (ACEXML_Attributes *alist ACEXML_ENV_ARG_DECL)
int | get_id (ACEXML_Attributes *alist ACEXML_ENV_ARG_DECL)
int | get_dynamic_attrs (ACEXML_Attributes *alist ACEXML_ENV_ARG_DECL)
int | get_initializer_attrs (ACEXML_Attributes *alist ACEXML_ENV_ARG_DECL)
int | get_static_attrs (ACEXML_Attributes *alist ACEXML_ENV_ARG_DECL)
## Private Attributes
int | in_stream_def_
| We are parsing a stream definition.
int | in_module_
| We are defining a steam module.
ACE_Parsed_Info | parsed_info_
ACE_Parsed_Info | stream_info_

## Detailed Description

Svcconf_Handler is an example SAX event handler.

This SAX event handler try to regenerate the XML document it reads with correct indentation.

## Constructor & Destructor Documentation

Svcconf_Handler::Svcconf_Handler | ( | ACEXML_XMLReader * | parser,
|  | CIAO::XMLHelpers::Cascadable_DocHandler * | parent,
|  | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char * | qName,
|  | ACEXML_Attributes *atts | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)

| Default constructor.

Svcconf_Handler::~Svcconf_Handler | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void Svcconf_Handler::characters | ( | const ACEXML_Char * | ch,
|  | int | start,
|  | int length | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)`[virtual]`

void Svcconf_Handler::endDocument | ( | ACEXML_ENV_SINGLE_ARG_DECL |  | ) | throw (ACEXML_SAXException)`[virtual]`

void Svcconf_Handler::endElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char *qName | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)`[virtual]`

virtual void Svcconf_Handler::endPrefixMapping | ( | const ACEXML_Char *prefix | ACEXML_ENV_ARG_DECL | ) | throw (ACEXML_SAXException)`[virtual]`

virtual void Svcconf_Handler::error | ( | ACEXML_SAXParseException &exception | ACEXML_ENV_ARG_DECL | ) | throw (ACEXML_SAXException)`[virtual]`

| Receive notification of a recoverable error. Reimplemented from CIAO::XMLHelpers::Cascadable_DocHandler.

virtual void Svcconf_Handler::fatalError | ( | ACEXML_SAXParseException &exception | ACEXML_ENV_ARG_DECL | ) | throw (ACEXML_SAXException)`[virtual]`

| Receive notification of a non-recoverable error. Reimplemented from CIAO::XMLHelpers::Cascadable_DocHandler.

int Svcconf_Handler::get_dynamic_attrs | ( | ACEXML_Attributes *alist | ACEXML_ENV_ARG_DECL | ) | `[protected]`

| Get the dynamic tag attributes.

int Svcconf_Handler::get_id | ( | ACEXML_Attributes *alist | ACEXML_ENV_ARG_DECL | ) | `[protected]`

| Get the only attribute in <resume>, <suspend>, <remove>

int Svcconf_Handler::get_initializer_attrs | ( | ACEXML_Attributes *alist | ACEXML_ENV_ARG_DECL | ) | `[protected]`

| Get the initializer tag attributes.

int Svcconf_Handler::get_static_attrs | ( | ACEXML_Attributes *alist | ACEXML_ENV_ARG_DECL | ) | `[protected]`

| Get the static tag attributes.

int Svcconf_Handler::get_stream_id | ( | ACEXML_Attributes *alist | ACEXML_ENV_ARG_DECL | ) | `[protected]`

| Get the only attribute in <stream> or <streamdef>.

void Svcconf_Handler::ignorableWhitespace | ( | const ACEXML_Char * | ch,
|  | int | start,
|  | int length | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)`[virtual]`

virtual void Svcconf_Handler::notationDecl | ( | const ACEXML_Char * | name,
|  | const ACEXML_Char * | publicId,
|  | const ACEXML_Char *systemId | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)`[virtual]`

virtual void Svcconf_Handler::processingInstruction | ( | const ACEXML_Char * | target,
|  | const ACEXML_Char *data | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)`[virtual]`

virtual ACEXML_InputSource* Svcconf_Handler::resolveEntity | ( | const ACEXML_Char * | publicId,
|  | const ACEXML_Char *systemId | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)`[virtual]`

void Svcconf_Handler::setDocumentLocator | ( | ACEXML_Locator * |  | ) | `[virtual]`

| Receive an object for locating the origin of SAX document events. Reimplemented from CIAO::XMLHelpers::Cascadable_DocHandler.

virtual void Svcconf_Handler::skippedEntity | ( | const ACEXML_Char *name | ACEXML_ENV_ARG_DECL | ) | throw (ACEXML_SAXException)`[virtual]`

void Svcconf_Handler::startDocument | ( | ACEXML_ENV_SINGLE_ARG_DECL |  | ) | throw (ACEXML_SAXException)`[virtual]`

virtual void Svcconf_Handler::startElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char * | qName,
|  | ACEXML_Attributes *atts | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)`[virtual]`

virtual void Svcconf_Handler::startPrefixMapping | ( | const ACEXML_Char * | prefix,
|  | const ACEXML_Char *uri | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)`[virtual]`

virtual void Svcconf_Handler::unparsedEntityDecl | ( | const ACEXML_Char * | name,
|  | const ACEXML_Char * | publicId,
|  | const ACEXML_Char * | systemId,
|  | const ACEXML_Char *notationName | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)`[virtual]`

virtual void Svcconf_Handler::warning | ( | ACEXML_SAXParseException &exception | ACEXML_ENV_ARG_DECL | ) | throw (ACEXML_SAXException)`[virtual]`

| Receive notification of a warning. Reimplemented from CIAO::XMLHelpers::Cascadable_DocHandler.

## Member Data Documentation

int Svcconf_Handler::in_module_`[private]`

| We are defining a steam module.

int Svcconf_Handler::in_stream_def_`[private]`

| We are parsing a stream definition.

ACE_Parsed_Info Svcconf_Handler::parsed_info_`[private]`

ACE_Parsed_Info Svcconf_Handler::stream_info_`[private]`

The documentation for this class was generated from the following files:

- Svcconf_Handler.h
- Svcconf_Handler.cpp